A mod to simplify the Method of making Giant cards in both Jsonloader and C-Sharp. :)

#### The Texture has to be 523 x 216!

# How To Use
## JsonLoader
### Complete .jldr2 file setup( they have to have "name_giant.jldr2"):
```
{
  "giantCards": [
    {
      "name": "Example", => name of the Card (include the ModPrefix)
      "texture": "example.png" => texture that you want the Giant Card to be
    }
  ]
}
```


## Csharp
### Complete Card Creation Example:
```
        public void AddTest()
        {
            CardInfo info = CardManager.New(

                // Card ID Prefix
                modPrefix: "TestTest",

                // Card internal name.
                "TestiusBigBallius",
                // Card display name.
                "IDunnoBigBalls",
                // Attack.
                1,
                // Health.
                200,
                // Descryption.
                description: "Test Purposes only."
            )
            .SetCost(0, 0, 0, null)
            .AddAbilities(Ability.AllStrike, Ability.MadeOfStone, Ability.Sharp, Ability.Reach)
            .AddTraits(Trait.Giant)
            .AddSpecialAbilities(SpecialTriggeredAbility.GiantCard)
            .AddAppearances(CardAppearanceBehaviour.Appearance.GiantAnimatedPortrait)
            ;
            CardManager.Add("TestTest", info);


            info.animatedPortrait = CreateGiantCard(LoadYourTextureHere);

        }

```
the important part being this:

`info.animatedPortrait = CreateGiantCard(LoadYourTextureHere);`

# Special Thanks
- keks307#7315 for making the icon
- Kelly Betty for adding JsonLoader support :)


# Patch Notes
v 0.0.1
 - Release




